From d7eead14e90feda18306c53bd14988496420e97a Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 19 Jun 2017 22:37:30 +0200
Subject: [PATCH 2/2] Make sure that elements in <thead> match <tbody>

The table header skipped printing hidden elements, which cause the
thead an tbody to have a mismatching set of columns.
---
 pgcommitfest/commitfest/templates/commitfest.html | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/pgcommitfest/commitfest/templates/commitfest.html b/pgcommitfest/commitfest/templates/commitfest.html
index c416566..6f59b56 100644
--- a/pgcommitfest/commitfest/templates/commitfest.html
+++ b/pgcommitfest/commitfest/templates/commitfest.html
@@ -19,9 +19,14 @@
       <table class="table table-condensed" style="margin-bottom: 0px">
 	<thead>
 	  <tr>
-{%for f in form%}{%if not f.is_hidden%}
+{%for f in form%}
+         {%if not f.is_hidden%}
             <td>{{f.label}}</td>
-{%endif%}{%endfor%}
+	 {%else%}
+	    <td></td>
+	 {%endif%}
+{%endfor%}
+	    {%comment%} Add one extra for buttons {%endcomment%}
 	    <td></td>
 	  </tr>
 	</thead>
-- 
2.13.0.rc0.45.ge2cb6ab.dirty

